%global srcname kobo

Name:           python-%{srcname}
Version:        0.19.0
Release:        1%{?dist}
Summary:        A collection of Python utilities

License:        GPLv2
URL:            https://pypi.org/project/kobo/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
A collection of Python utilities
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE COPYING
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/
%{_bindir}/kobo-admin